Skip to content
Endless Documentation

Get custom skill

GET
/skills/{skill_id}

Returns a single custom skill. Scoped to the skill named by skill_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

skill_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/skills/brand-voice"
{  "skill": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "codename": "string",    "organization_id": "string",    "source": "built-in",    "name": "string",    "description": "string",    "body": "string",    "files": "string",    "author": "string",    "project_scoped": true,    "visibility": "private",    "workspace_role": "viewer",    "created_by_id": "string",    "mod_shortcut_id": "string",    "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",    "listing_version": -2147483648,    "listing_edited_at": "2019-08-24T14:15:22Z",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "created_by": {      "id": "string",      "first_name": "string",      "last_name": "string",      "email": "string",      "image_url": "string"    },    "shared": true,    "verified": true,    "can_edit": true,    "can_delete": true,    "last_edit": {      "by": {        "id": "string",        "first_name": "string",        "last_name": "string",        "email": "string",        "image_url": "string"      },      "at": "2019-08-24T14:15:22Z"    },    "listing": {      "slug": "string",      "title": "string",      "update_available": true    }  }}